#!/bin/sh

describe="Install vim and it's stuff"
scripts="@distro @self"

apply() {
    [ -d "$HOME/.config/nvim" ] || mkdir -p "$HOME/.config/nvim"
    [ -e "$HOME/.config/nvim/init.vim" ] || ln files/init.vim $HOME/.config/nvim/init.vim
    [ -e "$HOME/.ideavimrc" ] || ln files/.ideavimrc $HOME/.ideavimrc
}

undo() {
    unlink $HOME/.config/nvim/init.vim
    unlink $HOME/.ideavimrc
}